FXruby in all Distros?


#1

Greetings.

Pardon the newbie Ruby question, but is FXRUBY included with all
distro’s of Ruby? I have been experimenting with Ruby doing
character-based stuff, but now I want to begin doing some basic
graphical UI.

When I send my next program to a my buddy who uses MacOS X, I want to
know if the program is going to run, or not.

Thank you.


#2

On 3/31/07, Chad W. removed_email_address@domain.invalid wrote:

Pardon the newbie Ruby question, but is FXRUBY included with all
distro’s of Ruby? I have been experimenting with Ruby doing
character-based stuff, but now I want to begin doing some basic
graphical UI.

When I send my next program to a my buddy who uses MacOS X, I want to
know if the program is going to run, or not.

FXRuby is not part of the standard Ruby library, but I’m not sure if
that’s the question that you’re asking.

FXRuby is included with the Ruby O.-Click installer for Windows,
which includes not only the standard Ruby distribution but also a
number of third-party libraries (such as FXRuby).

FXRuby runs on Windows, Linux and Mac OS X, so yes, your friend would
be able to run programs that you’ve written – as long as he installs
FXRuby first. As far as I know, there’s no package like the one-click
installer for Mac OS X.

Hope this helps,

Lyle


#3

Who needs one click installers when you have gems? Does gems come
default on OS X? I have gems on it but I can’t remember whether I
installed it myself or if it came with the computer.

Wim


#4

FXRuby runs on Windows, Linux and Mac OS X, so yes, your friend would
be able to run programs that you’ve written – as long as he installs
FXRuby first. As far as I know, there’s no package like the one-click
installer for Mac OS X.

Hope this helps,

That is EXACTLY the answer I was looking for. Thank you.

-w


#5

Chad W. wrote:

Pardon the newbie Ruby question, but is FXRUBY included with all
distro’s of Ruby?

No. It’s not included, and installing it can be quite complicated on
some platforms.

Have you thought about using TK? It should be included in every Ruby
installation, it even works on Mac OS X out of the box.


#6

Wim Vander S. wrote:

Who needs one click installers when you have gems?

Ever tried “gem ruby -r -y” on the Windows command line where no Ruby is
installed?
That’s why: Not all OSes or Linux distros come with Ruby installed per
default, or don’t have a current version in their packet management
repositories. While you can compile Ruby under Linux (doing so is mostly
trivial), Windows users aren’t so lucky.


Phillip “CynicalRyan” Gawlowski
http://cynicalryan.110mb.com/

Rule of Open-Source Programming #48:

The number of items on a project’s to-do list always grows or remains
constant.